Exemple #1
0
# ------------------- X End Slider, just this one becuase I needed the
# slid2holdrod distance is needed

h_xendslid_l = citoparts.EndShaftSlider(slidrod_r = kcit.ROD_R,
                                   holdrod_r = kcit.ROD_R,
                                   holdrod_sep = kcit.ROD_X_SEP,
                                   name          = "slider_left",
                                   holdrod_cen = 1,
                                   side = 'left')




# ------------------ Shaft holders SK12 ------------------------------
# f= front; r: right. hole_x = 0 -> hole facing Y axis
h_sk12_fr = comps.Sk(size=12, name="sk12_fr", hole_x = 0, cx=1, cy=1)
sk12_fr = h_sk12_fr.fco   # the FreeCad Object
# rod_y_sep is the separation of the Y RODs
rod_y_sep = kcit.ROD_X_L + 2.0 * h_xendslid_l.slide2holdrod + 2 * TOL
sk12_fr.Placement.Base = FreeCAD.Vector (rod_y_sep/2.0,
                                         alu_x_bm_ypos, # 0
                                         kcit.ALU_W)
# f= front; l: left
sk12_fl = Draft.clone(sk12_fr)
sk12_fl.Label = "sk12_fl"
sk12_fl.Placement.Base = FreeCAD.Vector (-rod_y_sep/2.0,
                                          alu_x_bm_ypos, # 0
                                          kcit.ALU_W)

# b= back; r: right
sk12_br = Draft.clone(sk12_fr)
Exemple #2
0
                          cy=0,
                          cz=0)

aluy_x = h_aluy.fco  # the FreeCad Object
aluy_pos_x = STAGE_X / 2. - ALU_W / 2.
# the profile on x positive: x
aluy_x.Placement.Base = FreeCAD.Vector(aluy_pos_x, ALU_W / 2., 0)

# the profile on x negative: nx
aluy_nx = Draft.clone(aluy_x)
aluy_nx.Label = "aluy_nx"
aluy_nx.Placement.Base = FreeCAD.Vector(-aluy_pos_x, ALU_W / 2., 0)

# ------------------ Shaft holders SK of Y ------------------------------
# f= front; r: right. hole_x = 0 -> hole facing Y axis
h_sky = comps.Sk(size=RODY_Di, name="sky_x_y0", hole_x=0, cx=1, cy=1)
sky_pos_x = STAGE_X / 2. - h_sky.TotW / 2.
sky_pos_y = STAGE_Y - ALU_W  # the one on the back. Y positive
sky_pos_z = ALU_W
# SK on X postive and Y=0
sky_x_y0 = h_sky.fco  # the FreeCad Object
sky_x_y0.Placement.Base = FreeCAD.Vector(sky_pos_x, 0, sky_pos_z)
# SK on X negative and Y=0
sky_nx_y0 = Draft.clone(sky_x_y0)
sky_nx_y0.Label = "sky_nx_y0"
sky_nx_y0.Placement.Base.x = -sky_pos_x

# SK on X positive and Y positive
sky_x_y = Draft.clone(sky_x_y0)
sky_x_y.Label = "sky_x_y"
sky_x_y.Placement.Base.y = sky_pos_y
Exemple #3
0
# Aluminum profiles for the citometer base

#  ------------- X alum profiles
# fb: front (y=0) bottom (z=0)
"""
h_alu_x_fb = comps.MisumiAlu30s6w8(40, "alu_x_fb", axis='x', cx=1, cy=1, cz=0)
alu_x_fb = h_alu_x_fb.fco  # the FreeCad Object

# bb: back (y=0) bottom (z=0)
alu_x_bb = Draft.clone(alu_x_fb)
alu_x_bb.Label = "alu_x_bb"
alu_x_bb.Placement.Base = (FreeCAD.Vector(0, 50, 0))

# ------------------ Shaft holders SK12 ------------------------------
# f= f; r: right. hole_x = 0 -> hole facing Y axis
h_sk12_fr = comps.Sk(size=12, name="sk12_fr", hole_x=0, cx=1, cy=1)
sk12_fr = h_sk12_fr.fco  # the FreeCad Object
# ROD_Y_SEP is the separation of the Y RODs
sk12_fr.Placement.Base = FreeCAD.Vector(20, 15, 30)
# f= front; l: left
sk12_fl = Draft.clone(sk12_fr)
sk12_fl.Label = "sk12_fl"
sk12_fl.Placement.Base = FreeCAD.Vector(-20, 15, 30)
#alu_y_lb.Placement.Base = alu_y_basepos + alu_y_xendpos

#sk12_fl = comps.Sk(size=12, name="sk12_000", hole_x = 0, cx=0, cy=0)
# b= back; l: left
#sk12_bl = comps.Sk(size=12, name="sk12_000", hole_x = 0, cx=0, cy=0)

# the shaft support on the left back